summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Dibb <beandog@gentoo.org>2008-05-01 16:45:31 +0000
committerSteve Dibb <beandog@gentoo.org>2008-05-01 16:45:31 +0000
commit3318b7a631e8dba070b6b5abf00afd1919671beb (patch)
treed5ce045f04709e0d5123795b38f8af056844e014
parentcustom mythvideo navigation patch (diff)
downloadbeandog-3318b7a631e8dba070b6b5abf00afd1919671beb.tar.gz
beandog-3318b7a631e8dba070b6b5abf00afd1919671beb.tar.bz2
beandog-3318b7a631e8dba070b6b5abf00afd1919671beb.zip
Add svn ebuilds for libdvdnav and mplayer
svn path=/; revision=9
-rw-r--r--media-libs/libdvdnav/Manifest3
-rw-r--r--media-libs/libdvdnav/libdvdnav-9999.ebuild (renamed from media-libs/libdvdnav/libdvdnav-4.1.1_p997-r1.ebuild)11
-rw-r--r--media-video/mplayer/Manifest3
-rw-r--r--media-video/mplayer/mplayer-9999.ebuild (renamed from media-video/mplayer/mplayer-1.0_rc2_p25993-r1.ebuild)95
4 files changed, 84 insertions, 28 deletions
diff --git a/media-libs/libdvdnav/Manifest b/media-libs/libdvdnav/Manifest
index 11f9c32..972c922 100644
--- a/media-libs/libdvdnav/Manifest
+++ b/media-libs/libdvdnav/Manifest
@@ -1,3 +1,2 @@
-DIST libdvdnav-4.1.1_p997.tar.bz2 156577 RMD160 073adb4375fbba1dd50872571bcc008688bd105c SHA1 6ee2dfd45d638b77a5f36539696eb117bb2344fe SHA256 0255c7ea1985695480b37b7e59c17c1c8430466f785aa34b45b38ed56408a79d
-EBUILD libdvdnav-4.1.1_p997-r1.ebuild 924 RMD160 656481e1367b735091df943fd60866085a34a4ca SHA1 18441952b61b28782229a11826cdd81c20b1cf82 SHA256 9da70ec15fcc8ea1f1551d09c8d7e13994a1a4a1faaf39c5f5b983cec02bfae5
+EBUILD libdvdnav-9999.ebuild 989 RMD160 b8b2e6df5a522f3c7e54c4807ee3953bbb90e65a SHA1 43a11754bedb7f4b65a19c1cce717edd01419303 SHA256 0ab24f9448b24278c25c60b276caf14116e0715f3faa33739d4f675917f9d9a3
MISC ChangeLog 221 RMD160 2e5f21b7c3d3104e0bd77965dc78aa922a4a4f19 SHA1 61beed5884504e4c838af74d527dc037cc9931cc SHA256 7e632d6e8fe9af4b0b0ebfdf44c6c5c6979f743fd37a40fc7f0b39d8b8c4e8db
diff --git a/media-libs/libdvdnav/libdvdnav-4.1.1_p997-r1.ebuild b/media-libs/libdvdnav/libdvdnav-9999.ebuild
index 5d4f55a..cc75bfd 100644
--- a/media-libs/libdvdnav/libdvdnav-4.1.1_p997-r1.ebuild
+++ b/media-libs/libdvdnav/libdvdnav-9999.ebuild
@@ -4,18 +4,21 @@
WANT_AUTOCONF="2.5"
-inherit eutils autotools multilib
+
+inherit eutils autotools multilib subversion
DESCRIPTION="Library for DVD navigation tools"
HOMEPAGE="http://mplayerhq.hu/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
IUSE="debug"
-DEPEND="!media-libs/libdvdread"
+ESVN_REPO_URI="svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdnav"
+ESVN_PROJECT="libdvdnav"
+
+PROVIDE="media-libs/libdvdread"
src_compile() {
./configure2 --prefix=/usr --libdir=/usr/$(get_libdir) \
@@ -27,7 +30,7 @@ src_compile() {
}
src_install () {
- emake DESTDIR="${D}" install || die "emake install died"
+ emake -j1 DESTDIR="${D}" install || die "emake install died"
dodoc AUTHORS DEVELOPMENT-POLICY.txt ChangeLog TODO \
doc/dvd_structures
}
diff --git a/media-video/mplayer/Manifest b/media-video/mplayer/Manifest
index 2fd7a34..bd8ca9b 100644
--- a/media-video/mplayer/Manifest
+++ b/media-video/mplayer/Manifest
@@ -2,7 +2,6 @@ DIST Blue-1.7.tar.bz2 222567 RMD160 1f8c539ccadc54eea5e6678839bcc8ae1e16e6eb SHA
DIST font-arial-cp1250.tar.bz2 249705 RMD160 a2fc7ae07b0d80936ea58e168e1047efccb9eb91 SHA1 ccf11dce5d0fb72fd3af97f788b7471cd0cd0b68 SHA256 423a07e780bb130cd8e4730715545c5d919c248dda595aab7a0a01de3c83fd12
DIST font-arial-iso-8859-1.tar.bz2 234242 RMD160 666697cd5efd9387057a898c714175e7c2aacbcd SHA1 152c40bf20de34aa8802d7f80d34d673b0b67212 SHA256 9730f481764f367c9089d0166fb6ccf9148808ffbbfeca635cf0e6db75765d29
DIST font-arial-iso-8859-2.tar.bz2 222208 RMD160 562d4d92c4f5f3d537340fde3ad8d1495ac41acb SHA1 7b99bbe0e9ba89a57eccbea8f93c453c4f268181 SHA256 71debfc960007c2f6242dfc91e8b1c005b30a99e129aeb00ab8c03f4371b41c1
-DIST mplayer-1.0_rc2_p25993.tar.bz2 7949013 RMD160 47d580a2254d7f149f6d4b1db6f7937dd395380c SHA1 376579bf5413b023452c32722cbe3e15d6e18cad SHA256 ddc10dca3feeb713414f711e2982d6790565206c353c18f4052f39776f980c3a
DIST svgalib_helper-1.9.17-mplayer.tar.bz2 7234 RMD160 e0c4ae039478732404dd743e250e1061cc9cf0a4 SHA1 d2d596f1ddd283188b2990417d22903c0b466d25 SHA256 016edd27d74b5c66481ddb4563c961fbb579e3a95dd846cc857a639df09999e5
-EBUILD mplayer-1.0_rc2_p25993-r1.ebuild 15092 RMD160 c6b357a4d34fcdd3e2297c7e0b128b155a56c621 SHA1 63d9b7820f2f1bf0c033886867f39f2d16f16413 SHA256 ab573fed064d1860397c4e2222b8aee2444e1569f59dca37a8798127e214e30c
+EBUILD mplayer-9999.ebuild 16866 RMD160 2a5e36a1a86cc1f958e30333f122a28757e6b67d SHA1 7aaab584442506dbf5bc426c8c74dbea392743fe SHA256 cf2113448e22e322bfbd2e248eca7a5907901ba28fb3a3102eb188dc4b860595
MISC ChangeLog 347 RMD160 4158d1bc7e7ff609b296c0395b0c61ebb0292986 SHA1 9be5ed4a753a706d5467347f03106184e7935bef SHA256 794b6620ebb4a65895034d1cc8e39bca9f106837da247cb3d0bac229bc73edd0
diff --git a/media-video/mplayer/mplayer-1.0_rc2_p25993-r1.ebuild b/media-video/mplayer/mplayer-9999.ebuild
index 8838b0a..c6400f4 100644
--- a/media-video/mplayer/mplayer-1.0_rc2_p25993-r1.ebuild
+++ b/media-video/mplayer/mplayer-9999.ebuild
@@ -2,16 +2,19 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit eutils flag-o-matic multilib
+EAPI="1"
+
+inherit eutils flag-o-matic multilib subversion
RESTRICT="strip"
-IUSE="a52 aac aalib alsa altivec amrnb amrwb arts bidi bl bindist
-color-console cddb cdio cdparanoia custom-cflags debug dga doc dts
-dvb directfb dvd dvdnav dv enca encode esd fbcon ftp gif ggi gtk iconv ipv6 jack joystick jpeg kernel_linux ladspa libcaca lirc live lzo mad md5sum mp2 mp3
-musepack nas nemesi unicode vorbis opengl openal oss png pnm pulseaudio
-quicktime radio rar real rtc samba sdl speex srt svga teletext
-tga theora tivo truetype v4l v4l2 vidix win32codecs X x264 xanim xinerama
-xscreensaver xv xvid xvmc zoran"
+IUSE="3dnow 3dnowext +a52 aac -aalib +alsa altivec amrnb amrwb -arts bidi bl
+bindist cddb cdio cdparanoia cpudetection custom-cflags debug dga doc dts dvb
+directfb +dvd dvdnav dv enca encode esd -fbcon ftp -gif ggi gtk iconv ipv6 jack joystick
+-jpeg kernel_linux ladspa -libcaca lirc live lzo +mad -md5sum +mmx mmxext mp2
++mp3 musepack nas nemesi unicode +vorbis opengl openal oss -png -pnm pulseaudio
+quicktime radio -rar real rtc -samba sdl speex srt sse sse2 ssse3 svga teletext
+tga +theora -tivo +truetype v4l v4l2 vidix win32codecs +X x264 xanim xinerama
++xscreensaver +xv xvid xvmc zoran"
VIDEO_CARDS="s3virge mga tdfx vesa"
@@ -22,8 +25,7 @@ done
BLUV="1.7"
SVGV="1.9.17"
AMR_URI="http://www.3gpp.org/ftp/Specs/archive"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- !truetype? ( mirror://mplayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
+SRC_URI="!truetype? ( mirror://mplayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
mirror://mplayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
mirror://mplayer/releases/fonts/font-arial-cp1250.tar.bz2 )
!iconv? ( mirror://mplayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
@@ -32,6 +34,9 @@ SRC_URI="mirror://gentoo/${P}.tar.bz2
gtk? ( mirror://mplayer/Skin/Blue-${BLUV}.tar.bz2 )
svga? ( http://mplayerhq.hu/~alex/svgalib_helper-${SVGV}-mplayer.tar.bz2 )"
+ESVN_REPO_URI="svn://svn.mplayerhq.hu/mplayer/trunk"
+ESVN_PROJECT="mplayer"
+
DESCRIPTION="Media Player for Linux"
HOMEPAGE="http://www.mplayerhq.hu/"
@@ -54,15 +59,17 @@ RDEPEND="sys-libs/ncurses
cdio? ( dev-libs/libcdio )
cdparanoia? ( media-sound/cdparanoia )
directfb? ( dev-libs/DirectFB )
+ dga? ( x11-libs/libXxf86dga )
dts? ( media-libs/libdca )
dv? ( media-libs/libdv )
dvb? ( media-tv/linuxtv-dvb-headers )
- dvd? ( dvdnav? ( >=media-libs/libdvdnav-4.1.1 ) )
+ dvdnav? ( media-libs/libdvdread
+ >=media-libs/libdvdnav-9999 )
encode? (
aac? ( media-libs/faac )
mp2? ( media-sound/twolame )
mp3? ( media-sound/lame )
- x264? ( media-libs/x264-svn )
+ x264? ( media-libs/x264 )
)
esd? ( media-sound/esound )
enca? ( app-i18n/enca )
@@ -147,10 +154,22 @@ pkg_setup() {
elog "are also available."
fi
+ if use x86 || use amd64; then
+ if ! use mmx && use custom-cflags; then
+ ewarn "You have the 'mmx' use flag disabled for this package, which"
+ ewarn "means that no CPU optimizations will be used at all."
+ ewarn "The build will either break or encode very slowly. Check your"
+ ewarn "/proc/cpuinfo for possible CPU optimization flags that"
+ ewarn "apply to this ebuild (mmx, mmxext, 3dnow, 3dnowext, sse,"
+ ewarn "sse2)."
+ fi
+ fi
+
}
src_unpack() {
- unpack ${A}
+
+ subversion_src_unpack
if ! use truetype ; then
unpack font-arial-iso-8859-1.tar.bz2 \
@@ -162,6 +181,12 @@ src_unpack() {
use svga && unpack "svgalib_helper-${SVGV}-mplayer.tar.bz2"
+ # For Version Branding
+ # thanks to yngwin for patch
+ cd "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/${ESVN_PROJECT}/${ESVN_REPO_URI##*/}"
+ ./version.sh
+ mv version.h "${S}"
+
cd "${S}"
# Fix hppa compilation
@@ -178,7 +203,7 @@ src_unpack() {
fi
# Fix polish spelling errors
- [[ -n ${LINGUAS} ]] && sed -e 's:Zarządano:Zażądano:' -i help/help_mp-pl.h
+ [[ -n ${LINGUAS} ]] && sed -e 's:Zarządano:Zażądano:' -i help/help_mp-pl.h
}
src_compile() {
@@ -199,7 +224,6 @@ src_compile() {
###############
use bidi || myconf="${myconf} --disable-fribidi"
use bl && myconf="${myconf} --enable-bl"
- use color-console && myconf="${myconf} --enable-color-console"
use enca || myconf="${myconf} --disable-enca"
use ftp || myconf="${myconf} --disable-ftp"
use nemesi || myconf="${myconf} --disable-nemesi"
@@ -220,12 +244,20 @@ src_compile() {
# dvdread and libdvdcss are internal libs
# http://www.mplayerhq.hu/DOCS/HTML/en/dvd.html
# You can optionally use external dvdread support, but against
- # upstream's suggestion. We don't.
+ # upstream's suggestion. Normally, we don't, but we're using
+ # external dvdread for dvdnav.
+
+ # For this overlay ebuild, we're compiling both libdvdnav
+ # and this mplayer against external dvdread.
if ! use dvd; then
myconf="${myconf} --disable-dvdnav --disable-dvdread"
use a52 || myconf="${myconf} --disable-liba52"
- elif use dvd && use dvdnav; then
- myconf="${myconf} --disable-dvdread-internal"
+ fi
+
+ if use dvd && use dvdnav; then
+ myconf="${myconf} --disable-dvdread-internal \
+ --with-dvdread-config=/usr/bin/dvdread-config \
+ --with-dvdnav-config=/usr/bin/dvdnav-config"
fi
if use encode; then
@@ -290,7 +322,6 @@ src_compile() {
use encode && use mp2 || myconf="${myconf} --disable-twolame \
--disable-toolame"
use mp3 || myconf="${myconf} --disable-mp3lib"
- use quicktime || myconf="${myconf} --disable-qtx"
use vorbis || myconf="${myconf} --disable-libvorbis"
use xanim && myconf="${myconf} --xanimcodecsdir=/usr/lib/xanim/mods"
if use x86 || use amd64; then
@@ -306,6 +337,10 @@ src_compile() {
myconf="${myconf} $(use_enable win32codecs win32dll)"
fi
fi
+ # bug 213836
+ if ! use x86 || ! use win32codecs; then
+ use quicktime || myconf="${myconf} --disable-qtx"
+ fi
#############
# Video Output #
@@ -363,6 +398,26 @@ src_compile() {
# Advanced Options #
#################
# Platform specific flags, hardcoded on amd64 (see below)
+ if use x86 || use amd64 || use ppc; then
+ if use cpudetection || use bindist; then
+ myconf="${myconf} --enable-runtime-cpudetection"
+ fi
+ fi
+ # Letting users turn off optimizations results in epic build fail
+ # across the board. MPlayer's build system by default will
+ # detect them and use them just fine, so don't let them change
+ # them unless they really know what they are doing anyway.
+ if use custom-cflags; then
+ if use mmx; then
+ for x in 3dnow 3dnowext mmxext sse sse2 ssse3; do
+ use ${x} || myconf="${myconf} --disable-${x}"
+ done
+ else
+ myconf="${myconf} --disable-mmx --disable-mmxext --disable-sse \
+ --disable-sse2 --disable-ssse3 --disable-3dnow \
+ --disable-3dnowext"
+ fi
+ fi
use debug && myconf="${myconf} --enable-debug=3"
@@ -426,7 +481,7 @@ src_install() {
# Install the default Skin and Gnome menu entry
if use gtk; then
dodir /usr/share/mplayer/skins
- cp -r "${WORKDIR}/Blue" \
+ cp -r "${WORKDIR}/${P}/Blue" \
"${D}/usr/share/mplayer/skins/default" || die "cp skins died"
# Fix the symlink